from django.contrib import admin
from apps.mtm.models import Material, Shift, Mgroup, Process
# Register your models here.


@admin.register(Process)
class ProcessAdmin(admin.ModelAdmin):
    list_display = ('id', 'name', 'cate', 'sort', 'into_wm_scope', 'store_notok', 'batch_append_equip', 'mlog_need_ticket')


@admin.register(Material)
class MaterialAdmin(admin.ModelAdmin):
    date_hierarchy = 'create_time'
    list_display = ('id', 'name', 'code', 'type')


@admin.register(Shift)
class ShiftAdmin(admin.ModelAdmin):
    date_hierarchy = 'create_time'
    list_display = ('id', 'name', 'start_time_o', 'end_time_o')


@admin.register(Mgroup)
class MgroupAdmin(admin.ModelAdmin):
    list_display = ('id', 'name', 'cate')
